Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class ActivateLicenseRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.ActivateLicenseRequest

    public class ActivateLicenseRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ActivateLicense operation`.

Activates a specific number of licenses for a 90-day period. Activations can be done against a specific license ID.

See Also:
  `AmazonEC2.activateLicense(ActivateLicenseRequest)`

Constructor Summary
`ActivateLicenseRequest()`

Method Summary
`Integer` | `getCapacity()` Specifies the additional number of licenses to activate.
`String` | `getLicenseId()` Specifies the ID for the specific license to activate against.
`void` | `setCapacity(Integer capacity)` Specifies the additional number of licenses to activate.
`void` | `setLicenseId(String licenseId)` Specifies the ID for the specific license to activate against.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivateLicenseRequest` | `withCapacity(Integer capacity)` Specifies the additional number of licenses to activate.
`ActivateLicenseRequest` | `withLicenseId(String licenseId)` Specifies the ID for the specific license to activate against.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivateLicenseRequest

    public ActivateLicenseRequest()

Method Detail

### getLicenseId

    public String getLicenseId()

  Specifies the ID for the specific license to activate against.

  Returns:
    Specifies the ID for the specific license to activate against.

### setLicenseId

    public void setLicenseId(String licenseId)

  Specifies the ID for the specific license to activate against.

  Parameters:
    `licenseId` - Specifies the ID for the specific license to activate against.

### withLicenseId

    public ActivateLicenseRequest withLicenseId(String licenseId)

  Specifies the ID for the specific license to activate against.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `licenseId` - Specifies the ID for the specific license to activate against.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCapacity

    public Integer getCapacity()

  Specifies the additional number of licenses to activate.

  Returns:
    Specifies the additional number of licenses to activate.

### setCapacity

    public void setCapacity(Integer capacity)

  Specifies the additional number of licenses to activate.

  Parameters:
    `capacity` - Specifies the additional number of licenses to activate.

### withCapacity

    public ActivateLicenseRequest withCapacity(Integer capacity)

  Specifies the additional number of licenses to activate.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `capacity` - Specifies the additional number of licenses to activate.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.